import type { IDynamicControl } from '../../interfaces/dynamic-control';
import { ComponentRef, ComponentFactoryResolver, ViewContainerRef, Renderer2 } from '@angular/core';
import type { BaseControlComponent } from '../../components/controls/base-control/base-control.component';
import { TemplateService } from '../../services/template/template.service';
import * as i0 from "@angular/core";
export declare class DynamicControlDirective {
    private resolver;
    private container;
    private renderer;
    private templateService;
    protected componentRef: ComponentRef<BaseControlComponent> | null;
    dynamicControl: IDynamicControl | undefined | null;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef, renderer: Renderer2, templateService: TemplateService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicControlDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DynamicControlDirective, "[ngxDynamicControl]", never, { "dynamicControl": "dynamicControl"; }, {}, never>;
}
